Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class TextDataHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.ReportItemHandle
                  org.eclipse.birt.report.model.api.TextDataHandle

All Implemented Interfaces:
  IReportItemMethodContext, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IReportItemModel, org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel, org.eclipse.birt.report.model.elements.interfaces.ITextDataItemModel

Direct Known Subclasses:
  MultiLineDataHandle

    public class TextDataHandle

extends ReportItemHandle
implements org.eclipse.birt.report.model.elements.interfaces.ITextDataItemModel

Represents a multi-line data item element. The multi-line data item displays blocks of text retrieved from the database, from a file, or from an expression. The text can be plain text, HTML, RTF or an expression. The format of the text can be fixed at design time, or can be dynamically selected at run time to match the format of the incoming text.

See Also:
  `TextDataItem`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportItemHandle
`DATABINDING_TYPE_DATA, DATABINDING_TYPE_NONE, DATABINDING_TYPE_REPORT_ITEM_REF`

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITextDataItemModel
`CONTENT_TYPE_PROP, VALUE_EXPR_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IReportItemModel
`ACL_EXPRESSION_PROP, ALLOW_EXPORT_PROP, BOOKMARK_PROP, BOUND_DATA_COLUMNS_PROP, CASCADE_ACL_PROP, CUBE_PROP, DATA_BINDING_REF_PROP, DATA_SET_PROP, HEIGHT_PROP, MULTI_VIEWS_PROP, ON_CREATE_METHOD, ON_PAGE_BREAK_METHOD, ON_PREPARE_METHOD, ON_RENDER_METHOD, PARAM_BINDINGS_PROP, TOC_PROP, VISIBILITY_PROP, WIDTH_PROP, X_PROP, Y_PROP, Z_INDEX_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyledElementModel
`STYLE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.api.elements.IReportItemMethodContext
`ON_CREATE_CONTEXT, ON_PREPARE_CONTEXT, ON_RENDER_CONTEXT`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`TextDataHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs the handle with the report design and the element it holds.

Method Summary
`java.lang.String` | `getContentType()` Returns the expression that that defines the type of text the multi-line data item holds.
`java.lang.String` | `getContentTypeExpr()` Deprecated. by the method `getContentType()`
`java.lang.String` | `getValueExpr()` Returns the expression that gives the text that the multi-line data item displays.
`void` | `setContentType(java.lang.String contentType)` Sets the expression that defines the text type this multi-line data item holds.
`void` | `setContentTypeExpr(java.lang.String expr)` Deprecated. by the method `setContentType(String)`
`void` | `setValueExpr(java.lang.String expr)` Sets the expression that gives the text that this multi-line data item displays.

Methods inherited from class org.eclipse.birt.report.model.api.ReportItemHandle
`addColumnBinding, addTOC, addTOC, addView, allowExport, canCascadeACL, cascadeACL, columnBindingsIterator, dropView, findColumnBinding, getACLExpression, getAvailableBindings, getAvailableCubeBindingReferenceList, getAvailableDataBindingReferenceList, getAvailableDataSetBindingReferenceList, getBookmark, getColumnBindings, getCube, getCurrentView, getDataBindingReference, getDataBindingReferenceName, getDataBindingType, getDataSet, getHeight, getMethods, getNamedCubeBindingReferenceList, getNamedDataBindingReferenceList, getNamedDataSetBindingReferenceList, getOnCreate, getOnPageBreak, getOnPrepare, getOnRender, getTOC, getTocExpression, getViewHost, getViews, getWidth, getX, getY, getZIndex, paramBindingsIterator, removedColumnBinding, removedColumnBindings, removedUnusedColumnBindings, setACLExpression, setAllowExport, setBookmark, setCascadeACL, setCube, setCurrentView, setDataBindingReference, setDataSet, setHeight, setHeight, setOnCreate, setOnPageBreak, setOnPrepare, setOnRender, setTocExpression, setWidth, setWidth, setX, setX, setY, setY, setZIndex, visibilityRulesIterator`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setEncryption, setEventHandlerClass, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNumberProperty, setProperties, setProperty, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDataHandle

    public TextDataHandle(org.eclipse.birt.report.model.core.Module module,
                          org.eclipse.birt.report.model.core.DesignElement element)

  Constructs the handle with the report design and the element it holds. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getValueExpr

    public java.lang.String getValueExpr()

  Returns the expression that gives the text that the multi-line data item displays.

  Returns:
    the value expression

### setValueExpr

    public void setValueExpr(java.lang.String expr)
                      throws SemanticException

  Sets the expression that gives the text that this multi-line data item displays.

  Parameters:
    `expr` - the new expression for the value expression
  Throws:
    `SemanticException` - if the expression contains errors, or the property is locked.

### getContentTypeExpr

    public java.lang.String getContentTypeExpr()

  Deprecated. by the method `getContentType()`

  Returns the expression that that defines the type of text the multi-line data item holds. The content type can be one of Auto (default); Plain: Plain text; HTML: HTML format; RTF: Rich Text Format; Expression: an expression that returns one of the above strings.

  Returns:
    the expression for the text type

### setContentTypeExpr

    public void setContentTypeExpr(java.lang.String expr)
                            throws SemanticException

  Deprecated. by the method `setContentType(String)`

  Sets the expression that defines the text type this multi-line data item holds. The content type can be one of Auto (default); Plain: Plain text; HTML: HTML format; RTF: Rich Text Format; Expression: an expression that returns one of the above strings.

  Parameters:
    `expr` - the new expression for the text type
  Throws:
    `SemanticException` - if the expression contains errors, or the property is locked.

### getContentType

    public java.lang.String getContentType()

  Returns the expression that that defines the type of text the multi-line data item holds. The content type can be one of:
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_AUTO` (default)
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_PLAIN`: Plain text;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_HTML`: HTML format;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_RTF`: Rich Text format;

  Returns:
    the text type

### setContentType

    public void setContentType(java.lang.String contentType)
                        throws SemanticException

  Sets the expression that defines the text type this multi-line data item holds. The content type can be one of
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_AUTO` (default)
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_PLAIN`: Plain text;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_HTML`: HTML format;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_RTF`: Rich Text format;

  Parameters:
    `contentType` - the new text type
  Throws:
    `SemanticException` - if the property is locked or the `contentType` is not one of the above.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.